Subject: Re: ipmi/powernv: Fix a minor bug

From: Neelesh Gupta <[email-masked]>
Date: Thu, 09 Jul 2015 16:05:12 +0530

Hi Michael,

On 07/08/2015 04:12 PM, Michael Ellerman wrote:
> On Wed, 2015-08-07 at 06:27:28 UTC, Neelesh Gupta wrote:
>> If the OPAL call to receive the ipmi message fails, then we free up the smi
>> message before returning. But, the driver still holds the reference to old
>> smi message in the 'cur_msg' which is dangerous if the driver derefernces it
>> later and it will further block the subsequent ipmi operations.
> This doesn't sound like "a minor bug" ?
>
> What are the actual symptoms of the bug? Does it crash, always, sometimes? Does
> it actually "block the subsequent ipmi operations"?

In the normal scenario, it doesn't happen.
To create the crash, I passed error code in opal call 'opal_ipmi_recv()'
I think there is more need to be done than this change. So, I will resend
the next version addressing all of your concerns.

Thanks,
Neelesh.

>
> Even if this *is* a minor bug, please give it a proper subject that describes
> what it does.
>
> Also which commit introduced the bug?
>
> And finally you don't seem to have CC'ed the ipmi maintainers?
>
> cheers
>